Recent

Author Topic: Fpcupdeluxe  (Read 281081 times)

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1028
Re: Fpcupdeluxe
« Reply #1020 on: November 05, 2018, 03:46:52 pm »
Well, fpcupdeluxe fails to download the correct bootstrapper from GitHub !
It should download this:
https://github.com/newpascal/fpcupdeluxe/releases/download/bootstrappers_v1.0/fpcup-3_0_4-x86_64-darwin-ppcx64

I just tested it on my Mac 10.14. Works 100%.
Will test again on 10.12

Perhaps a GitHub HickUp ?

Edit:
Reproducible !!
10.14 ok.
10.12 download error.
Will re-introduce native MacOSX downloader.
« Last Edit: November 05, 2018, 04:19:37 pm by DonAlfredo »

xinyiman

  • Hero Member
  • *****
  • Posts: 1756
Re: Fpcupdeluxe
« Reply #1021 on: November 05, 2018, 04:37:34 pm »
Reproducible !!
10.14 ok.
10.12 download error.
Will re-introduce native MacOSX downloader.
Ok thanks. how long will it take? Just to understand when to redo and try again
Ubuntu and Mac
Lazarus: 1.8.0
FPC: 3.0.4

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1028
Re: Fpcupdeluxe
« Reply #1022 on: November 05, 2018, 05:10:34 pm »
Done !

xinyiman

  • Hero Member
  • *****
  • Posts: 1756
Re: Fpcupdeluxe
« Reply #1023 on: November 06, 2018, 08:48:19 am »
Ok, but now return this
 
Code: Pascal  [Select]
  1. Compiling ./widgetset/wslazdeviceapis.pas
  2. Compiling ldocktree.pas
  3. Compiling lazfreetypeintfdrawer.pas
  4. Compiling customdrawn_winxp.pas
  5. Compiling customdrawn_android.pas
  6. Compiling customdrawn_mac.pas
  7. Compiling lclexceptionstacktrace.pas
  8. 217065 lines compiled, 37.9 sec
  9. /Applications/Xcode.app/Contents/Developer/usr/bin/make -C interfaces all
  10. /Applications/Xcode.app/Contents/Developer/usr/bin/make -C nogui all
  11.                 ../../units/x86_64-darwin/nogui/lcl.o
  12. /Users/francesco/Documents/fpcupdeluxe/installazioni/20181106/fpc/bin/x86_64-darwin/fpc.sh -gl -dnogui -gw -Fu../../units/x86_64-darwin -Fu../../../packager/units/x86_64-darwin -Fu../../../components/lazutils/lib/x86_64-darwin -Fu.. -Fu. -Fu/Users/francesco/Documents/fpcupdeluxe/installazioni/20181106/fpcsrc/rtl -FE. -FU../../units/x86_64-darwin/nogui -vw-n-h-l-d-u-t-p-c- -dx86_64 ../lcl.pas
  13. Target OS: Darwin for x86_64
  14. Compiling ../lcl.pas
  15. Compiling alllclintfunits.pas
  16. Compiling interfaces.pp
  17. Compiling noguiint.pp
  18. PPU Loading /Users/francesco/Documents/fpcupdeluxe/installazioni/20181106/lazarus/lcl/units/x86_64-darwin/wsextctrls.ppu
  19. PPU Source: wsextctrls.pp not found
  20. PPU Source: lcl_defines.inc not available
  21. Recompiling WSExtCtrls, checksum changed for /Users/francesco/Documents/fpcupdeluxe/installazioni/20181106/lazarus/lcl/units/x86_64-darwin/extctrls.ppu
  22. wsextctrls.pp(32,15) Fatal: Can't find unit WSExtCtrls used by ExtCtrls
  23. Fatal: Compilation aborted
  24. Error: /Users/francesco/Documents/fpcupdeluxe/installazioni/20181106/fpc/bin/x86_64-darwin/ppcx64 returned an error exitcode
  25. make[2]: *** [nogui_all] Error 2
  26. make[1]: *** [interfaces] Error 2
  27. make: *** [lazbuild] Error 2
  28. fpcupdeluxe: ERROR: LazarusNativeInstaller (BuildModuleCustom: Lazbuild): make returned error code #512
  29. fpcupdeluxe: ERROR: LazarusNativeInstaller (BuildModuleCustom: Lazbuild): make returned error code #512
  30.  
  31.  
  32. ERROR: Fpcupdeluxe fatal error !
Ubuntu and Mac
Lazarus: 1.8.0
FPC: 3.0.4

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1028
Re: Fpcupdeluxe
« Reply #1024 on: November 06, 2018, 10:19:09 am »
AFAIK, this is a Lazarus trunk problem. Every version of fpcupdeluxe shows the same error when installing trunk at the moment. Cause unknown for me.

Edit: As an alternative, you can always use embedded as target. Its is trunk from a few weeks old that works on all systems (you will need GIT for that).
« Last Edit: November 06, 2018, 10:33:17 am by DonAlfredo »

xinyiman

  • Hero Member
  • *****
  • Posts: 1756
Re: Fpcupdeluxe
« Reply #1025 on: November 06, 2018, 11:24:48 am »
Thank you very much!  :)
Ubuntu and Mac
Lazarus: 1.8.0
FPC: 3.0.4

josh

  • Hero Member
  • *****
  • Posts: 700
Re: Fpcupdeluxe
« Reply #1026 on: November 16, 2018, 09:28:30 pm »
Hi,

Just installed NEW SSD in Mac,  so fresh install.

using 1.6.2g
fpcupdeluxe i386 for carbon, all installed fine.

fpcupdeuxe x64 for cocoa, errors.

Is this latest cocoa problem; as per usual ?
Code: [Select]
(3104) Compiling ./cocoa/cocoaint.pas
(3104) Compiling ./cocoa/cocoaprivate.pas
/Users/josh/lazarus_trunk_cocoa/lazarus/lcl/interfaces/./cocoa/cocoaprivate.pas(189,14) Error: (3058) There is no method in an ancestor class to be overridden: "acceptsFirstResponder:Boolean;"
/Users/josh/lazarus_trunk_cocoa/lazarus/lcl/interfaces/./cocoa/cocoaprivate.pas(195,14) Error: (3058) There is no method in an ancestor class to be overridden: "acceptsFirstMouse(NSEvent):Boolean;"
/Users/josh/lazarus_trunk_cocoa/lazarus/lcl/interfaces/./cocoa/cocoaprivate.pas(189,14) Error: (3266) Objective-C messages require their Objective-C selector name to be specified using the "message" directive.
/Users/josh/lazarus_trunk_cocoa/lazarus/lcl/interfaces/./cocoa/cocoaprivate.pas(195,14) Error: (5070) Mismatch between number of declared parameters and number of colons in message string.
/Users/josh/lazaru to be specified using the "message" directive.
/Users/josh/lazarus_trunk_cocoa/lazarus/lcl/interfaces/./cocoa/cocoaprivate.pas(195,14) Error: (5070) Mismatch between number of declared parameters and number of colons in message string.

s_trunk_cocoa/lazarus/lcl/interfaces/./cocoa/cocoaprivate.pas(254,14) Error: (3058) There is no method in an ancestor class to be overridden: "acceptsFirstResponder:Boolean;"
/Users/josh/lazarus_trunk_cocoa/lazarus/lcl/interfaces/./cocoa/cocoaprivate.pas(254,14) Error: (3266) Objective-C messages require their Objective-C selector name to be specified using the "message" directive.
/Users/josh/lazarus_trunk_cocoa/lazarus/lcl/interfaces/./cocoa/cocoaprivate.pas(273,14) Error: (3058) There is no method in an ancestor class to be overridden: "acceptsFirstResponder:Boolean;"
/Users/josh/lazarus_trunk_cocoa/lazarus/lcl/interfaces/./cocoa/cocoaprivate.pas(280,14) Error: (3058) There is no method in an ancestor class to be overridden: "acceptsFirstMouse(NSEvent)n ancestor class to be overridden: "acceptsFirstResponder:Boolean;"
:Boolean;"
/Users/josh/lazarus_trunk_cocoa/lazarus/lcl/interfaces/./cocoa/cocoaprivate.pas(273,14) Error: (3266) Objective-C messages require their Objective-C selector name to be specified using the "message" directive.
/Users/josh/lazarus_trunk_cocoa/lazarus/lcl/interfaces/./cocoa/cocoaprivate.pas(280,14) Error: (5070) Mismatch between number of declared parameters and number of colons in message string.
/Users/josh/lazarus_trunk_cocoa/lazarus/lcl/interfaces/./cocoa/cocoaprivate.pas(314,14) Error: (3058) There is no method in an ancestor class to be overridden: "acceptsFirstResponder:Boolean;"
/Users/josh/lazarus_trunk_cocoa/lazarus/lcl/interfaces/./cocoa/cocoaprivate.pas(325,14) Error: (3058) There is no method in an ancestor class to be overridden: "acceptsFirstMouse(NSEvent):Boolean;"
/Users/josh/lazarus_trunk_cocoa/lazarus/lcl/interfaces/./cocoa/cocoaprivate.pas(314,14) Error: (3266) Objective-C messages require their Objective-C selector name to be specified using the "message" directive.
/Users/jocceptsFirstMouse(NSEvent):Boolean;"
/Users/josh/lazarus_trunk_cocoa/lazarus/lcl/interfaces/./cocoa/cocoaprivate.pas(314,14) Error: (3266) Objective-C messages require their Objective-C selector name to be specified using the "message" directive.

sh/lazarus_trunk_cocoa/lazarus/lcl/interfaces/./cocoa/cocoaprivate.pas(325,14) Error: (5070) Mismatch between number of declared parameters and number of colons in message string.
/Users/josh/lazarus_trunk_cocoa/lazarus/lcl/interfaces/./cocoa/cocoaprivate.pas(366,1) Fatal: (10026) There were 14 errors compiling module, stopping
Fatal: (1018) Compilation aborted
Error: /Users/josh/lazarus_trunk_cocoa/fpc/bin/x86_64-darwin/ppcx64 returned an error exitcode
Error: (lazarus) Compile package LCL 2.1: stopped with exit codFatal: (10026) There were 14 errors compiling module, stopping
Fatal: (1018) Compilation aborted
Error: /Users/josh/lazarus_trunk_cocoa/fpc/bin/x86_64-darwin/ppcx64 returned an error exitcode

e 256
Error: (lazarus) [TLazPackageGraph.CompileRequiredPackages] "Exit code 256"
Error: (lazarus) Building IDE: Compile AutoInstall Packages failed.
make: *** [useride] Error 2
fpcupdeluxe: ERROR: LazarusNativeInstaller (BuildModuleCustom: UserIDE): make returned error code #512
fpcupdeluxe: ERROR: LazarusNativeInstaller (BuildModuleCustom: UserIDE): make returned error code #512
ERROR: Fpcupdeluxe fatal error !
« Last Edit: November 16, 2018, 10:15:02 pm by josh »
Development Installation Lazarus 1.3, FPC 2.7.1,Windows 7/8 32/64, OSX, *nix

Test Environment Lazarus & FPC Trunk on Windows and OSX (Cocoa Mainly on OSX). Testing also Crosscompile windows to OSX.. 
Any posts made from 2015 will be based on Lazarus Trunk.

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1028
Re: Fpcupdeluxe
« Reply #1027 on: November 16, 2018, 10:03:06 pm »
Not ler usual, but yep.
Still waiting to be reported and fixed.

Alextp

  • Hero Member
  • *****
  • Posts: 757
    • UVviewsoft
Re: Fpcupdeluxe
« Reply #1028 on: November 23, 2018, 02:35:46 pm »
about text:
Shortcut on your desktop are created that point to the new (Lazarus) installation.
-->
Desktop shortcut is created that links to the new (Lazarus) installation.

josh

  • Hero Member
  • *****
  • Posts: 700
Re: Fpcupdeluxe
« Reply #1029 on: November 23, 2018, 11:21:32 pm »
hi

carbon now failing install

I know its not fpcupdeluxe fault; further updates to trunk causing issues.

Code: [Select]
[ 48%] Compiled package utils-fprcp
Start compiling package utils-h2pas for target i386-darwin.
Executing command "/Users/josh/lazarus_trunk/fpc/bin/i386-darwin/pyacc h2pas/h2pas.y h2pas/h2pas.pas"
The installer encountered the following error:
External command "/Users/josh/lazarus_trunk/fpc/bin/i386-darwin/pyacc h2pas/h2pas.y h2pas/h2pas.pas" failed with exit code 256. Console output:
TP Yacc Version 4.1a [April 2000], Copyright (c) 1990-2000 Albert Graef

FATAL: cannot open file /usr/lib/fpc/lexyacc/yyparse.cod

make[1]: *** [utils_all] Error 2
make: *** [build-stamp.i386-darwin] Error 2

fpcupdeluxe: ERROR: FPCNativeInstaller (BuildModuleCustom: FPC): Error running make for FPC failed with exit code 512
. Details:


ERROR: Fpcupdeluxe fatal error !
Development Installation Lazarus 1.3, FPC 2.7.1,Windows 7/8 32/64, OSX, *nix

Test Environment Lazarus & FPC Trunk on Windows and OSX (Cocoa Mainly on OSX). Testing also Crosscompile windows to OSX.. 
Any posts made from 2015 will be based on Lazarus Trunk.

MISV

  • Sr. Member
  • ****
  • Posts: 493
Re: Fpcupdeluxe
« Reply #1030 on: November 24, 2018, 02:11:01 am »
Using FPCDeluxe 1.6.2g for x86_64-darwin-cocoa lazarus-trunk and foc-trunk I get this error:

Code: Pascal  [Select]
  1. (3104) Compiling ./cocoa/cocoaprivate.pas
  2. /Users/example/lazaruscoc64bit/lazarus/lcl/interfaces/./cocoa/cocoaprivate.pas(189,14) Error: (3058) There is no method in an ancestor class to be overridden: "acceptsFirstResponder:Boolean;"
  3. /Users/example/lazaruscoc64bit/lazarus/lcl/interfaces/./cocoa/cocoaprivate.pas(195,14) Error: (3058) There is no method in an ancestor class to be overridden: "acceptsFirstMouse(NSEvent):Boolean;"
  4. /Users/example/lazaruscoc64bit/lazarus/lcl/interfaces/./cocoa/cocoaprivate.pas(189,1arus/lcl/interfaces/./cocoa/cocoaprivate.pas(195,14) Error: (3058) There is no method in an ancestor class to be overridden: "acceptsFirstMouse(NSEvent):Boolean;"
  5. 4) Error: (3266) Objective-C messages require their Objective-C selector name to be specified using the "message" directive.
  6. /Users/example/lazaruscoc64bit/lazarus/lcl/interfaces/./cocoa/cocoaprivate.pas(195,14) Error: (5070) Mismatch between number of declared parameters and number of colons in message string.
  7. /Users/example/lazaruscoc64bit/lazarus/lcl/interfaces/./cocoa/cocoaprivate.pas(254,14) Error: (3058) There is no method in an ancestor class to be overridden: "acceptsFirstResponder:Boolean;"
  8. /Users/example/lazaruscoc64bit/lazarus/lcl/interfaces/./cocoa/cocoaprivate.pas(254,14) Error: (3266) Objective-C messages require their Objective-C selector name to be specified using the "message" directive.
  9. /Users/example/laza:Boolean;"
  10. /Users/example/lazaruscoc64bit/lazarus/lcl/interfaces/./cocoa/cocoaprivate.pas(254,14) Error: (3266) Objective-C messages require their Objective-C selector name to be specified using the "message" directive.
  11.  
  12. ruscoc64bit/lazarus/lcl/interfaces/./cocoa/cocoaprivate.pas(273,14) Error: (3058) There is no method in an ancestor class to be overridden: "acceptsFirstResponder:Boolean;"
  13. /Users/example/lazaruscoc64bit/lazarus/lcl/interfaces/./cocoa/cocoaprivateruscoc64bit/lazarus/lcl/interfaces/./cocoa/cocoaprivate.pas(273,14) Error: (3058) There is no method in an ancestor class to be overridden: "acceptsFirstResponder:Boolean;"
  14. .pas(280,14) Error: (3058) There is no method in an ancestor class to be overridden: "acceptsFirstMouse(NSEvent):Boolean;"
  15. /Users/example/lazaruscoc64bit/lazarus/lcl/interfaces/./cocoa/cocoaprivate.pas(273,14) Error: (3266) Objective-C messages re.pas(280,14) Error: (3058) There is no method in an ancestor class to be overridden: "acceptsFirstMouse(NSEvent):Boolean;"
  16. quire their Objective-C selector name to be specified using the "message" directive.
  17. /Users/example/lazaruscoc64bit/lazarus/lcl/interfaces/./cocoa/cocoaprivate.pas(280,14) Error: (5070) Mismatch between number of declared parameters and number of colons in message string.
  18. /Users/example/lazaruscoc64bit/lazarus/lcl/interfaces/./cocoa/cocoaprivate.pas(314,14) Error: (3058) There is no method in an ancestor class to be overridden: "acceptsFirstResponder:Boolean;"
  19. /Users/example/lazaruscoc64bit/lazarus/lcl/interfaces/./cocoa/cocoaprivate.pas(325,14) Error: (3058) There is no method in an ancestor class to be overridden: "acceptsFirstMouse(NSEvent):Boolean;"
  20. /Users/example/lazaruscoc64bit/lazarus/lcl/interfaces/./cocoa/cocoaprivate.pas(314,14) Error: (3266) Objective-C messages require their Objective-C selector name to be specified using the "message" directive.
  21. (1008) 4608 lines compiled, 2.1 sec
  22. /Users/example/lazaruscoc64bit/lazarus/lcl/interfaces/./cocoa/cocoaprivate.pas(325,14) Error: (5070) Mismatch between number of declared parameters and number of colons in message string.
  23. /Users/example/lazaruscoc64bit/lazarus/lcl/interfaces/./cocoa/cocoaprivate.pas(366,1) Fatal: (10026) There were 14 errors compiling module, stopping
  24. Fatal: (1018) Compilation aborted
  25. Error: /Users/example/lazaruscoc64bit/fpc/bin/x86_64-darwin/ppcx64 returned an error exitcode
  26. Error: (lazarus) Compile package LCL 2.1: stopped with exit code 256
  27. (102
  28. (9 were 14 errors compiling module, stopping
  29. Fatal: (1018) Compilation aborted
  30. Error: /Users/example/lazaruscoc64bit/fpc/bin/x86_64-darwin/ppcx64 returned an error exitcode
  31. Error: (lazarus) Compile package LCL 2.1: stopped with exit code 256
  32. (102
  33.  
  34. Error: (lazarus) Compile package LazDebuggerLldb 0.0: terminated
  35. Error: (lazarus) Compile package DateTimeCtrls 1.5.1: terminated
  36. Error: (lazarus) [TLazPackageGraph.CompileRequiredPackages] "Exit code 256"
  37. Error: (lazarus) Building I001) Assembling (pipe
  38. Error: (lazarus) Compile package LazDebuggerLldb 0.0: terminated
  39. Error: (lazarus) Compile package DateTimeCtrls 1.5.1: terminated
  40. Error: (lazarus) [TLazPackageGraph.CompileRequiredPackages] "Exit code 256"
  41.  
  42. DE: Compile AutoInstall Packages failed.
  43. make: *** [useride] Error 2
  44. fpcupdeluxe: ERROR: LazarusNativeInstaller (BuildModuleCustom: UserIDE): make returned error code #512
  45. fpcupdeluxe: ERROR: LazarusNativeInstaller (BuildModuleCustom: UserIDE): make returned error code #512
  46.  
  47.  
  48. ERROR: Fpcupdeluxe fatal error !
  49.  


I have backup of my earlier install - do you think I could simply replace some files? And force a rebuild through lazbuild? (If I can dig up the cli)

I needed to update because of a Mojave/FPC issue - at least so told here:
http://forum.lazarus.freepascal.org/index.php/topic,43279.0.html

« Last Edit: November 24, 2018, 02:14:34 am by MISV »

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1028
Re: Fpcupdeluxe
« Reply #1031 on: November 24, 2018, 08:12:25 am »
This seems related to recent changes in FPC trunk.
https://svn.freepascal.org/cgi-bin/viewvc.cgi?view=revision&revision=39950
It has been reported many times.
You could post a Lazarus bug-report.

Windsurfer

  • Sr. Member
  • ****
  • Posts: 344
    • Windsurfer
Re: Fpcupdeluxe
« Reply #1032 on: November 26, 2018, 12:04:34 am »
I downloaded the latest tabbed version of FPCUPDELUXE and it looks much better. Thanks.

When updating the 1.8 fixes branch of Lazarus I have suddenly found a linking problem. The fpcinstall is fine. It seems that the gcc linker cannot be found,

/usr/bin/ld points to /usr/bin/x86_64-linux-gnu-ld points to /usr/bin/x86_64-linux-gnu-ld.bfd

They all exist. I have reloaded binutils etc but the problem still exists. Any advice would be welcome.

The output is below:

(9015) Linking ../lazarus
/usr/bin/ld: cannot find -lGL
make[2]: *** [ide] Error 2
make[1]: *** [ide] Error 2
/home/mike/Laz_1.8.4_fixes/lazarus/ide/lazarus.pp(161,1) Error: (9013) Error while linking
/home/mike/Laz_1.8.4_fixes/lazarus/ide/lazarus.pp(161,1) Fatal: (10026) There were 1 errors compiling module, stopping
Fatal: (1018) Compilation aborted
Error: /home/mike/Laz_1.8.4_fixes/fpc/bin/x86_64-linux/ppcx64 returned an error exitcode
Makefile:3961: recipe for target 'lazarus' failed
Makefile:4381: recipe for target 'ide' failed
Makefile:3272: recipe for target 'ide' failed
Error: (lazarus) Build IDE: stopped with exit code 512
Error: (lazarus) Building IDE: Building IDE failed.
Makefile:3281: recipe for target 'useride' failed
make: *** [useride] Error 2
fpcupdeluxe: ERROR: LazarusNativeInstaller (BuildModuleCustom: UserIDE): make returned error code #512

ERROR: Fpcupdeluxe fatal error !

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1028
Re: Fpcupdeluxe
« Reply #1033 on: November 26, 2018, 02:05:44 am »
Make a symlink from libGL.so.1 towards libGL.so

I guess you have LAMW installed. It needs libGL, with hardcodes linking towards libGL.so !

Windsurfer

  • Sr. Member
  • ****
  • Posts: 344
    • Windsurfer
Re: Fpcupdeluxe
« Reply #1034 on: November 26, 2018, 03:43:56 pm »
Thanks. That was exactly what I needed to do.
I don't have LAMW loaded, but I did try to load it about two weeks ago.